XScreenSaver(1)

NAME
sierpinski3d - 3D Sierpinski triangle fractal.

SYNOPSIS
sierpinski3d [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-speed number] [-depth number] [-wireframe] [-fps]

DESCRIPTION
This draws the three-dimensional variant of the recursive Sierpinski triangle fractal, using GL.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds.).

-speed number
    Number of frames before changing shape. Default: 150.

-depth number
    Max depth to descend. Default: 5. You probably don't have enough memory for 6.

-wireframe
    Render in wireframe instead of solid.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Tim Robinson and Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Tim Robinson and Jamie Zawinski.